package de.krisenvorrat.app.domain.repository

import de.krisenvorrat.app.data.db.entity.LocationEntity
import kotlinx.coroutines.flow.Flow

internal interface LocationRepository {
    fun getAll(): Flow<List<LocationEntity>>
    suspend fun insert(location: LocationEntity)
    suspend fun update(location: LocationEntity)
    suspend fun delete(location: LocationEntity)
}
